Subject: [Fwd: fix for drivers/serial/mpc52xx_uart.c]

From: Sylvain Munaut <[email-masked]>
Date: Tue, 06 May 2008 08:43:01 +0200

Patch, obviously correct, sent to me personally instead of the list.

    Sylvain

Subject: fix for drivers/serial/mpc52xx_uart.c
From: Harry Sintonen <[email-masked]>
To: [email-masked]
Date: Mon, 5 May 2008 23:39:14 +0300 (EEST)

Here is a fix for the unterminated mpc52xx_uart_of_match array when 
CONFIG_PPC_MPC512x is not defined. Should be quite self explonary, but if 
not feel free to bug me about it.

Patch applies against 2.6.25 and 2.6.25.1 at least.

Patch can be credited to Harry Sintonen <[email-masked]>.

   Regards,
-- 
l=2001;main(i){float o,O,_,I,D;for(;O=I=l/571.-1.75,l;)for(putchar(--l%80?
i:10),o=D=l%80*.05-2,i=31;_=O*O,O=2*o*O+I,o=o*o-_+D,o+_+_<4+D&i++<87;);puts
("  Harry 'Piru' Sintonen <[email-masked]> http://www.iki.fi/sintonen");}

--- drivers/serial/mpc52xx_uart.c-orig	2008-05-05 22:50:56.000000000 +0300
+++ drivers/serial/mpc52xx_uart.c	2008-05-05 22:51:56.000000000 +0300
@@ -1220,10 +1220,10 @@
 	{ .compatible = "mpc5200-serial", .data = &mpc52xx_psc_ops, },
 #endif
 #ifdef CONFIG_PPC_MPC512x
 	{ .compatible = "fsl,mpc5121-psc-uart", .data = &mpc512x_psc_ops, },
-	{},
 #endif
+	{},
 };
 
 static int __devinit
 mpc52xx_uart_of_probe(struct of_device *op, const struct of_device_id *match)